<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../usuariogrupo/cUsuariogrupo.php");

$oUsuariogrupo = new cUsuariogrupo();





if($_POST['action']=="editar")

{

	$dts=$oUsuariogrupo->mostrarUno($_POST['usugru_id']);

	$dt = mysqli_fetch_array($dts);	

	$nom        =$dt['tb_usuariogrupo_nom'];



	mysqli_free_result($dts);

	

}



?>



				<form role="form" id="for_usugru" method="POST">  

					<input name="action_usuariogrupo" id="action_usuariogrupo" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_usugru_id" id="hdd_usugru_id" type="hidden" value="<?php echo $_POST['usugru_id']?>">   



					<div class="box-header">

						<h3 class="box-title">Información de Perfil</h3>

					</div>

					<div class="box-body">



						<div class="form-group">							

							<div class="row">

								<div class="col-lg-6 col-xs-12">

									<label for="txt_usugru_nom">Nombre:</label>

									<input type="text" id="txt_usugru_nom" name="txt_usugru_nom" value="<?php echo $nom; ?>" class="form-control" > 

								</div> 

							</div>

						</div>

					</div>

				</form>

				<div class="box-footer pull-right ">

				<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

				<button class="btn btn-primary" id="save_form">Guardar</button>

				</div>

			

<script type="text/javascript">







	$('#txt_usugru_nom').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	$("#save_form").click(function() {

		$("#for_usugru").submit();

	});



	$(document).ready(function() {

		$('#for_usugru').bootstrapValidator({

	      message: 'Valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {	        	

	      	txt_usugru_nom: {

	      		group: '.col-lg-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	} 

	      }

	  }).on('success.form.bv', function(e) {



	  	$.ajax({

	  		type: "POST",

	  		url: "../usuariogrupo/usuariogrupo_reg.php",

	  		async:true,

	  		dataType: "json",

	  		data: $("#for_usugru").serialize(),

	  		beforeSend: function() {					

	  			

	  		},

	  		success: function(data){

	  			$('.modal').modal('hide');

				$('.in').removeClass('modal-backdrop');			

				toastr["success"](data.usugru_msj);	

	  		

	  			<?php

	  			if($_POST['vista']=="cmb_usugru_id")

	  			{

	  				echo $_POST['vista'].'(data.usugru_id)';

	  			}

	  			?>

	  		},

	  		complete: function(){

	  			<?php

	  			if($_POST['vista']=="usuariogrupo_tabla")

	  			{

	  				echo $_POST['vista'].'()';

	  			}

	  			?>

	  		}

	  	});

	  });



	  <?php if($_POST['action']=="insertar"){?>

	  	$('#txt_usugru_nom').focus();

	  	<?php }?> 



	  	$('#txt_usugru_nom').keydown(function(ev) {

	  		if(ev.keyCode==13){$('#save_form').focus(); return false;}

	  	}); 





	  });	

	</script>